# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
---
loader: taskgraph.loader.transform:loader

transforms:
    - gecko_taskgraph.transforms.fetch:transforms
    - gecko_taskgraph.transforms.try_job:transforms
    - gecko_taskgraph.transforms.job:transforms
    - gecko_taskgraph.transforms.task:transforms

task-defaults:
    run-on-repo-type: [hg]

tasks-from:
    - benchmarks.yml
    - browsertime.yml
    - chromium-fetch.yml
    - cft-chromedriver-fetch.yml
    - python-wheels.yml
    - toolchain-clang-tidy-external.yml
    - toolchains.yml
    - translations-fetch.yml
    - updatebot.yml
    - onnxruntime.yml
    - onnxruntime-web-fetch.yml
